ch.qos.logback.core.joran.spi

## Class DefaultNestedComponentRegistry

- java.lang.Object
- - ch.qos.logback.core.joran.spi.DefaultNestedComponentRegistry

    public class DefaultNestedComponentRegistry
    extends java.lang.Object

A registry which maps a property in a host class to a default class.

Author:
  Cek Gülcü

### Constructor Summary

Constructors
Constructor and Description
`DefaultNestedComponentRegistry()`

### Method Summary

Methods
`void` `add(java.lang.Class<?> hostClass, java.lang.String propertyName, java.lang.Class<?> componentClass)`
`java.lang.Class<?>` `findDefaultComponentType(java.lang.Class<?> hostClass, java.lang.String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNestedComponentRegistry

    public DefaultNestedComponentRegistry()

### Method Detail

#### add

    public void add(java.lang.Class<?> hostClass,
           java.lang.String propertyName,
           java.lang.Class<?> componentClass)

#### findDefaultComponentType

    public java.lang.Class<?> findDefaultComponentType(java.lang.Class<?> hostClass,
                                              java.lang.String propertyName)